org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class DropWhileStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.DropWhileStageVerification

    public class DropWhileStageVerification
    extends java.lang.Object

Verification for the drop while stage.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dropWhileStageBuilderShouldBeReusable()`
`void` `dropWhileStageShouldAllowCompletionWhileDropping()`
`void` `dropWhileStageShouldHandleErrors()`
`void` `dropWhileStageShouldNotRunPredicateOnceItsFinishedDropping()`
`void` `dropWhileStageShouldPropagateCancel()`
`void` `dropWhileStageShouldPropagateUpstreamErrorsAfterFinishedDropping()`
`void` `dropWhileStageShouldPropagateUpstreamErrorsWhileDropping()`
`void` `dropWhileStageShouldSupportDroppingElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### dropWhileStageShouldSupportDroppingElements

    public void dropWhileStageShouldSupportDroppingElements()

#### dropWhileStageShouldHandleErrors

    public void dropWhileStageShouldHandleErrors()

#### dropWhileStageShouldPropagateUpstreamErrorsWhileDropping

    public void dropWhileStageShouldPropagateUpstreamErrorsWhileDropping()

#### dropWhileStageShouldPropagateUpstreamErrorsAfterFinishedDropping

    public void dropWhileStageShouldPropagateUpstreamErrorsAfterFinishedDropping()

#### dropWhileStageShouldNotRunPredicateOnceItsFinishedDropping

    public void dropWhileStageShouldNotRunPredicateOnceItsFinishedDropping()

#### dropWhileStageShouldAllowCompletionWhileDropping

    public void dropWhileStageShouldAllowCompletionWhileDropping()

#### dropWhileStageShouldPropagateCancel

    public void dropWhileStageShouldPropagateCancel()

#### dropWhileStageBuilderShouldBeReusable

    public void dropWhileStageBuilderShouldBeReusable()